addShortText(text: "${BUILD_USER}", background: 'yellow', border: 1) ;
    addShortText(text: "${GIT_BRANCH}", background: 'pink', border: 1);
    addShortText(text: "${BUILD_NUMBER}", background: 'cyan', border: 1);
    addShortText(text: "${NODE_NAME}", background: 'yellow', border: 1);
addBadge(icon: "text.gif", text: "Changes", link: "https://gitlab.com/akalya.ap/sample/-/edit/master/Jenkinsfile");


pipeline {
    agent any
    tools {
        maven 'maven-3.6.3'
    }
     parameters
      {
          choice(name: 'Select', choices: ['Dev', 'QA', 'Testing', 'Staging'], description: 'Choose anyone of the choices')
      }
    environment{
        develop="Developer phase"
        test="Testing phase"

    }
      
    stages {
        stage('Build') {
            steps {
                echo "${params.Select}"
                echo '===BUILD==='
            }
        }
        stage('Test') {
            steps {
                echo '===tested==='
                sh 'ls'
                sh 'whoami'
                echo "${env.test}"
                echo "${env.develop}"
            }
        }
        stage('Staging'){
            steps {
                echo '===STAGING==='
                echo "${params.Select}"
                
            }
        }
    }
    

}

